@import url('https://fonts.googleapis.com/css2?family=Nunito:wght@300;500&display=swap');
body {
    font-family: 'Nunito', sans-serif !important;
    color: #444444;
    background: #d3d3d3;
}

.cor_a_menu {
    color: #FFF;
    text-decoration: none !important;
    color: #FFF !important;
}

span{
    font-family: "Roboto", sans-serif;
}

.cor_a_menu:hover {
    color: linear-gradient(180deg, rgba(34,89,131,1) 0%, rgba(35,122,190,1) 100%);
    text-decoration: none;
}

.cor_h_menu {
    color: #fff;
}

.cor_li_menu {
    color: #fff;
}

@media screen and (min-width: 601px) {
    .nav-link {
        font-size: 1rem;
    }
}

.nav-link {
    font-size: 0.7rem;
    padding-left: 0.5rem;
}


@media screen and (min-width: 601px) {
    .hover-underline-animation {
        font-size: 1rem;
    }
}

@media screen and (max-width: 1400px) {
    .hover-underline-animation {
        font-size: 0.8rem;
        padding-left: 0.5rem;
    }
}

@media screen and (max-width: 1400px) {
    .navlogin {
        font-size: 0.8rem;
    }
}

.container{
    max-width: 2000px !important;
}

.navbar-logo{
    border-radius: 1rem;
}

.hover-underline-animation {
    display: inline-block;
    position: relative;
    color: #FFF;
}

.hover-underline-animation:after {
    content: '';
    position: absolute;
    width: 100%;
    transform: scaleX(0);
    height: 2px;
    bottom: 0;
    left: 0;
    background-color: #FFF;
    transform-origin: bottom right;
    transition: transform 0.25s ease-out;
}

.hover-underline-animation:hover:after {
    transform: scaleX(1);
    transform-origin: bottom left;
}





.navbar {
    padding: 0;
    display: flex;
    background: linear-gradient(180deg, rgba(34,89,131,1) 0%, rgba(35,122,190,1) 100%);
    position: fixed;
    right: 0;
    left: 0;
    z-index: 1030;
    justify-content: unset;
    width: 100%;
}

.navbar .dropdown-menu {
    background: linear-gradient(180deg, rgba(34,89,131,1) 0%, rgba(35,122,190,1) 100%);
    max-height: 90vh;
    overflow-y: auto;
    overflow-x: hidden;
}

/* Somente para Firefox */
@-moz-document url-prefix() {
    .navbar .dropdown-menu {
        scrollbar-color: gray transparent;
    }
}

/* Scrollbar para Chrome */
.navbar .dropdown-menu::-webkit-scrollbar {
    width: 3px;
    background: transparent;
    transition: width 0.7s ease;
}

.navbar .dropdown-menu::-webkit-scrollbar-thumb {
    background-color: gray;
    border-radius: 3px;
}

.navbar .dropdown-menu:hover::-webkit-scrollbar {
    width: 8px;
}

.navbar .dropdown-menu::-webkit-scrollbar-button {
    background-color: transparent;
}

@media all and (min-width: 992px) {

    .dropdown-menu li {
        position: relative;
    }

    .dropdown-menu .submenu {
        display: none;
        position: absolute;
        left: 100%;
        top: -7px;
    }

    .dropdown-menu .submenu-left {
        right: 100%;
        left: auto;
    }

    .dropdown-menu>li:hover {
        background-color: #f1f1f1
    }

    .dropdown-menu>li:hover>.submenu {
        display: block;
    }

    .dropdown-menu>li.nohover:hover {
        background-color: initial;
    }

    .dropdown-menu>li>a.nohover:hover {
        background-color: initial;
    }
}

@media (max-width: 991px) {

    .dropdown-menu .dropdown-menu {
        margin-left: 0.7rem;
        margin-right: 0.7rem;
        margin-bottom: .5rem;
    }

}


.dropdown-large {
    padding: 1rem;
}



@media all and (min-width: 992px) {
    .dropdown-large {
        min-width: 500px
    }
}



@media all and (min-width: 992px) {
    .dropdown-large {
        min-width: 500px;
    }
}

.switch_tema {
    opacity: 0;
    position: absolute;
}

.label_tema {
    background-color: #111;
    border-radius: 50px;
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    align-items: center;

    padding: 5px;
    position: relative;
    height: 16px;
    width: 40px;
    transform: scale(1.5);

}


.label_tema .ball_tema {
    background-color: #fff;
    border-radius: 50%;
    position: absolute;
    top: 2px;
    left: 2px;
    height: 12px;
    width: 12px;
    transform: translateX(0px);
    transition: transform 0.2s linear;
}

.switch_tema:checked + .label_tema .ball_tema {
    transform: translateX(23px);
}